org.eclipse.cdt.core.model

## Interface ICModelStatus

    public interface ICModelStatus

Represents the outcome of an C model operation. Status objects are used inside `CModelException` objects to indicate what went wrong.

C model status object are distinguished by their plug-in id: `getPlugin` returns `"org.eclipse.cdt.core"`. `getCode` returns one of the status codes declared in `ICModelStatusConstants`.

A C model status may also carry additional information (that is, in addition to the information defined in `IStatus`):

- elements - optional handles to C elements associated with the failure
- string - optional string associated with the failure

See Also:
  `org.eclipse.core.runtime.IStatus`, `ICModelStatusConstants`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `doesNotExist()` Returns whether this status indicates that a C model element does not exist.
`ICElement[]` `getElements()` Returns any C elements associated with the failure (see specification of the status code), or an empty array if no elements are related to this particular status code.
`IPath` `getPath()` Returns the path associated with the failure (see specification of the status code), or `null` if the failure is not one of `DEVICE_PATH`, `INVALID_PATH`, `PATH_OUTSIDE_PROJECT`, or `RELATIVE_PATH`.
`String` `getString()` Returns the string associated with the failure (see specification of the status code), or `null` if no string is related to this particular status code.

### Method Detail

#### getElements

    ICElement[] getElements()

Returns any C elements associated with the failure (see specification of the status code), or an empty array if no elements are related to this particular status code.

Returns:
  the list of C element culprits
See Also:
  `ICModelStatusConstants`

#### getPath

    IPath getPath()

Returns the path associated with the failure (see specification of the status code), or `null` if the failure is not one of `DEVICE_PATH`, `INVALID_PATH`, `PATH_OUTSIDE_PROJECT`, or `RELATIVE_PATH`.

Returns:
  the path that caused the failure, or `null` if none
See Also:
  `ICModelStatusConstants.DEVICE_PATH`, `ICModelStatusConstants.INVALID_PATH`, `ICModelStatusConstants.PATH_OUTSIDE_PROJECT`, `ICModelStatusConstants.RELATIVE_PATH`

#### getString

    String getString()

Returns the string associated with the failure (see specification of the status code), or `null` if no string is related to this particular status code.

Returns:
  the string culprit, or `null` if none
See Also:
  `ICModelStatusConstants`

#### doesNotExist

    boolean doesNotExist()

Returns whether this status indicates that a C model element does not exist. This convenience method is equivalent to `getCode() == ICModelStatusConstants.ELEMENT_DOES_NOT_EXIST`.

Returns:
  `true` if the status code indicates that a C model element does not exist
See Also:
  `ICModelStatusConstants.ELEMENT_DOES_NOT_EXIST`